## ros-lunar-roslaunch 1.13.7

=== debian/changelog ===
ros-lunar-roslaunch (1.13.7-0xenial) xenial; urgency=high

  * fix "pass_all_args" for roslaunch-check, add nosetest (#1368 <https://github.com/ros/ros_comm/issues/1368>)
  * add substitution when loading yaml files (#1354 <https://github.com/ros/ros_comm/issues/1354>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Aug 2018 07:00:00 -0000

ros-lunar-roslaunch (1.13.6-0xenial) xenial; urgency=high

  * add process listeners to XML RPC server (#1319 <https://github.com/ros/ros_comm/issues/1319>)
  * pass through command-line args to the xmlloader when using the API (#1115 <https://github.com/ros/ros_comm/issues/1115>)
  * make master process explicitly 'required' for parent launch (#1228 <https://github.com/ros/ros_comm/issues/1228>)
  * remove unreachable exceptions (#1260 <https://github.com/ros/ros_comm/issues/1260>)
  * replace Thread.setDaemon() using new API (#1276 <https://github.com/ros/ros_comm/issues/1276>)
  * use roslaunch.core.printerrlog for printing error message (#1193 <https://github.com/ros/ros_comm/issues/1193>, #1317 <https://github.com/ros/ros_comm/issues/1317>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-lunar-roslaunch (1.13.5-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-lunar-roslaunch (1.13.4-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-lunar-roslaunch (1.13.3-0xenial) xenial; urgency=high

  * add --set-master-logger-level option for 'rosmaster' to output LOG_API (#1180 <https://github.com/ros/ros_comm/issues/1180>)
  * use defined error codes rather than hardcoded integers (#1174 <https://github.com/ros/ros_comm/issues/1174>, #1181 <https://github.com/ros/ros_comm/issues/1181>)
  * fix parameter leaking into sibling scopes (#1158 <https://github.com/ros/ros_comm/issues/1158>)
  * avoid full stack trace for ResourceNotFound (#1147 <https://github.com/ros/ros_comm/issues/1147>)
  * remove mention of rosmake from error message (#1140 <https://github.com/ros/ros_comm/issues/1140>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-lunar-roslaunch (1.13.2-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-lunar-roslaunch (1.13.1-0xenial) xenial; urgency=high

  * add $(dirname) to get directory of current launch file (#1103 <https://github.com/ros/ros_comm/pull/1103>)
  * clean the namespace to get rid of double or trailing forward slashes (#1100 <https://github.com/ros/ros_comm/issues/1100>)
  * only launch core nodes if master was launched by roslaunch (#1098 <https://github.com/ros/ros_comm/pull/1098>)
  * ensure pid file is removed on exit (#1057 <https://github.com/ros/ros_comm/pull/1057>, #1084 <https://github.com/ros/ros_comm/pull/1084>)
  * add yaml type for param tag (#1045 <https://github.com/ros/ros_comm/issues/1045>)
  * ensure cwd exists (#1031 <https://github.com/ros/ros_comm/pull/1031>)
  * respect if/unless for roslaunch-check (#998 <https://github.com/ros/ros_comm/pull/998>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-lunar-roslaunch (1.13.0-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-lunar-roslaunch (1.12.7-0xenial) xenial; urgency=high

  * improve error message for invalid tags (#989 <https://github.com/ros/ros_comm/pull/989>)
  * fix caching logic to improve performance (#931 <https://github.com/ros/ros_comm/pull/931>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-lunar-roslaunch (1.12.6-0xenial) xenial; urgency=high

  * add USE_TEST_DEPENDENCIES option to roslaunch_add_file_check() (#910 <https://github.com/ros/ros_comm/pull/910>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-lunar-roslaunch (1.12.5-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-lunar-roslaunch (1.12.4-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-lunar-roslaunch (1.12.3-0xenial) xenial; urgency=high

  * better naming for roslaunch check test results (#897 <https://github.com/ros/ros_comm/pull/897>)
  * support use_test_depends option for roslaunch-check (#887 <https://github.com/ros/ros_comm/pull/887>)
  * allow empty include (#882 <https://github.com/ros/ros_comm/pull/882>)
  * fix param command for Python 3 (#840 <https://github.com/ros/ros_comm/pull/840>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-lunar-roslaunch (1.12.2-0xenial) xenial; urgency=high

  * support registering the same test multiple times with different arguments (#814 <https://github.com/ros/ros_comm/pull/814>)
  * fix passing multiple args to roslaunch_add_file_check (#814 <https://github.com/ros/ros_comm/pull/814>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-lunar-roslaunch (1.12.1-0xenial) xenial; urgency=high

  * add support for Python expressions (#784 <https://github.com/ros/ros_comm/pull/784>, #793 <https://github.com/ros/ros_comm/pull/793>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-lunar-roslaunch (1.12.0-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-lunar-roslaunch (1.11.18-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-lunar-roslaunch (1.11.17-0xenial) xenial; urgency=high

  * improve roslaunch-check to not fail if recursive dependencies lack dependencies (#730 <https://github.com/ros/ros_comm/pull/730>)
  * add "pass_all_args" attribute to roslaunch "include" tag (#710 <https://github.com/ros/ros_comm/pull/710>)

